<template>
<div class="edit-container">
    <div class="edit-card">
        <v-container>
            <h1>MODIFIER UN FILM</h1>
            <v-row>
                <v-img
                :src="movie.image"
                class="movieImg"
                height="200px">
                </v-img>
            </v-row>
            <v-row>
                <v-col cols="6">
                    <v-text-field v-model="movie.image" label="Image du film" required></v-text-field>
                </v-col>
                <v-col cols="6" align="baseline" justify="content">
                    <v-file-input
                        label="Upload une image"
                        prepend-icon="mdi-camera"
                        @change="onFileChange">
                    </v-file-input>
                </v-col>

            </v-row>
            <v-row>
                <v-col>
                     <v-text-field v-model="movie.title" label="Titre" required></v-text-field>
                </v-col>
                <v-col>
                     <v-text-field v-model="movie.director" label="Realisateur" required></v-text-field>
                </v-col>
                <v-col>
                    <v-text-field v-model="movie.release" label="Date de sortie" required></v-text-field>
                </v-col>
            </v-row>
            <v-row>
                <v-col>
                    <v-text-field v-model="movie.language" label="Langue" required></v-text-field>
                </v-col>

                <v-col>
                    <v-text-field v-model="movie.genre" label="Genre" required></v-text-field>
                </v-col>
            </v-row>
            <v-textarea v-model="movie.synopsis" label="Synopsis"></v-textarea>


            <v-rating :value="movie.note" @input="editRating($event)" color="amber" size="30"></v-rating>

            <v-btn class="button" elevation="2" rounded v-on:click="edit()">Modifier</v-btn>
            <v-btn class="button" elevation="2" rounded v-on:click="cancel()">ANNULER</v-btn>
        </v-container>
    </div>
</div>
</template>

<script>
export default {
    
    data() {
        return {
        movie: {id:0, title: '', release: '', language: '', genre: '', director: '', synopsis: '', note: 0, image: ''},
        }
    },
    mounted() {
        window.axios
        .get('http://127.0.0.1:3000/api/movies/'+this.$route.params.index)
        .then(response => (this.movie = response.data))
        .catch(error => {
        console.log(error)
        })
        
    },
    methods: {
        onFileChange(file){
            this.movie.image = '';
            const reader = new FileReader();
            reader.onload = e => {
            this.imgUploaded = e.target.result;
            };
            reader.readAsDataURL(file);
        },
        editRating(value){
            this.note = value;
        },
        edit(){
            window.axios
            .post('http://127.0.0.1:3000/api/movies/'+this.$route.params.index, this.movie)
            .then(response => (console.log(response)))
            .catch(error => {
            console.error(error)
            })
            this.$router.push({ path: '/'});                
        },
        cancel(){
            this.$router.push({ path: '/'}); 
        },        
    }
}
</script>

<style>
.edit-container{
    background-image: url("../assets/bg.jpg");
    background-size: 100%;
}  

.edit-container{
    height: 100%;
    width: 100%;
    background-color: rgb(5, 5, 5);
    display: flex;
    justify-content: center;
    align-items: center;
}

.movieImg{
    margin-top: 10px;
    border-radius: 10px;
}

.button{
    margin: 5px;
}

.edit-card{
    border-radius: 10px;
    width: 50vw;
    margin-top: 20px;
    margin-bottom: 20px;
    background-color: white;
    box-shadow: 0 14px 28px rgba(0,0,0,0.25), 0 10px 10px rgba(0,0,0,0.22);
    padding-left: 20px;
    padding-right: 20px;
}
</style>